%global rbname chasen
Summary: Ruby/Chasen extension module
Name: ruby-%{rbname}

%global momorel 2

Version: 1.6
Release: %{momorel}m
Group: Development/Libraries
License: GPL
URL: http://raa.ruby-lang.org/list.rhtml?name=ruby-chasen

Source: http://www.itlb.te.noda.sut.ac.jp/~ikarashi/ruby/chasen%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: ruby
BuildRequires: ruby-devel >= 1.8.0
BuildRequires: chasen-devel

%description
This extension module is a Ruby binding of Chasen.

%global ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
%global ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["archdir"]')

%prep
%setup -q -n %{rbname}%{version}

%build
ruby extconf.rb
make sitedir=%{_libdir}/ruby

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install sitedir=%{buildroot}%{_libdir}/ruby

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc chasen.html sample
%{ruby_archdir}/*

%changelog
* Sun Feb 22 2004 Toru Hoshina <t@www.momonga-linux.org>
- (1.6-2m)
- No NoSource ;-)

* Thu Jan  1 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.6-1m)
- initial import
